Bug 511185 - kernel: build with -fno-delete-null-pointer-checks [rhel-3]
kernel: build with -fno-delete-null-pointer-checks [rhel-3]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.9
All Linux
urgent Severity high
: ---
: ---
Assigned To: Don Howard
Martin Jenner
:
Depends On: 511181
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 00:37 EDT by Eugene Teo (Security Response)
Modified: 2009-11-03 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 511181
Environment:
Last Closed: 2009-11-03 17:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-14 00:37:45 EDT
+++ This bug was initially created as a clone of Bug #511181 +++

Description of problem:
http://gcc.gnu.org/onlinedocs/gcc-3.2.3/gcc/Optimize-Options.html

-fdelete-null-pointer-checks
    Use global dataflow analysis to identify and eliminate useless checks for null pointers. The compiler assumes that dereferencing a null pointer would have halted the program. If a pointer is checked after it has already been dereferenced, it cannot be null.

    In some environments, this assumption is not true, and programs can safely dereference null pointers. Use -fno-delete-null-pointer-checks to disable this optimization for programs which depend on that behavior.

    Enabled at levels -O2, -O3, -Os.
Comment 2 Eugene Teo (Security Response) 2009-07-16 20:23:33 EDT
Upstream commit:
http://git.kernel.org/linus/a3ca86aea507904148870946d599e07a340b39bf
Comment 5 Don Howard 2009-10-16 14:50:02 EDT
A patch for this issue has been included in build 2.4.21-61.EL.
Comment 9 errata-xmlrpc 2009-11-03 17:00:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1550.html

Note You need to log in before you can comment on or make changes to this bug.